package com.zh.project0512.mapper;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.Reference;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zh.project0512.model.ReferenceGroup;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-23
 */
public interface ReferenceMapper extends BaseMapper<Reference> {
    @Select("<script>" +
        "SELECT t1.id " +
        "from reference t1 " +
        "WHERE t1.id and t1.isDeleted = 0 "+

        "<if test='tagIdList !=null and tagIdList.size()!=0'> " +
        "and t1.id in (SELECT referenceId from referenceTag WHERE referenceTag.tagId in " +
        "<foreach collection='tagIdList' index='index' item='item' open='(' separator=',' close=')'>#{item}</foreach> " +
        ")" +
        "</if>" +

        "<if test='brandIdList !=null and brandIdList.size()!=0'> " +
        "and t1.id in (SELECT referenceId from referenceBrand WHERE referenceBrand.brandId in " +
        "<foreach collection='brandIdList' index='index' item='item' open='(' separator=',' close=')'>#{item}</foreach> " +
        ")" +
        "</if>" +

        "<if test='ew != null'>" +
        "<if test='ew.nonEmptyOfWhere'>" +
        "AND " +
        "</if> " +
        "${ew.SqlSegment}" +
        "</if> " +
        "ORDER BY t1.updateAt DESC,t1.creatAt DESC" +
        "</script>")
    IPage<Integer> idList(IPage iPage, List<Integer> tagIdList, List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper);
    List<Map> list(String openid,List<String> list, List<Integer> tagIdList, List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper);

    @Select("<script>" +
        "SELECT date_format(t1.creatAt, '%Y-%m-%d') dat " +
        "from reference t1 " +
        "WHERE t1.id and t1.isDeleted = 0 "+

        "<if test='tagIdList !=null and tagIdList.size()!=0'> " +
        "and t1.id in (SELECT referenceId from referenceTag WHERE referenceTag.tagId in " +
        "<foreach collection='tagIdList' index='index' item='item' open='(' separator=',' close=')'>#{item}</foreach> " +
        ")" +
        "</if>" +

        "<if test='brandIdList !=null and brandIdList.size()!=0'> " +
        "and t1.id in (SELECT referenceId from referenceBrand WHERE referenceBrand.brandId in " +
        "<foreach collection='brandIdList' index='index' item='item' open='(' separator=',' close=')'>#{item}</foreach> " +
        ")" +
        "</if>" +

        "<if test='ew != null'>" +
        "<if test='ew.nonEmptyOfWhere'>" +
        "AND " +
        "</if> " +
        "${ew.SqlSegment}" +
        "</if> " +
        " group by dat " +
        "ORDER BY dat DESC" +
        "</script>")
    IPage<String> dateList(IPage iPage, List<Integer> tagIdList, List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper);

    List<Map> referenceDateList(String openid,List<String> list, List<Integer> tagIdList, List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper);
}

