package com.zh.project0512.mapper;

import com.alibaba.fastjson.JSONObject;
import com.zh.project0512.model.ReferenceTag;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zh.project0512.utils.JSONResult;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-25
 */
public interface ReferenceTagMapper extends BaseMapper<ReferenceTag> {
    @Insert("<script> " +
        "insert into referenceTag (referenceId,tagId) values\n"+
        "  <foreach collection= 'list' item= 'item'  separator=','>\n" +
        "(#{item.referenceId},#{item.tagId})\n"+
        "</foreach> \n"+
        "</script>")
    void addGroup(List<JSONObject> list);
    @Select("select tag.id,tag.title from referenceTag,tag where referenceTag.referenceId = #{id} and tag.id = referenceTag.tagId")
    List<Map> selByReferenceId(int id);
}
