package com.zh.project0512.mapper;

import com.zh.project0512.model.RewardRule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-23
 */
public interface RewardRuleMapper extends BaseMapper<RewardRule> {
    @Insert("<script> " +
        "insert into rewardRule (templateId,reward,limitNum) values\n"+
        "  <foreach collection= 'arr' item= 'item'  separator=','>\n" +
        "(#{id},#{item.reward},#{item.limitNum})\n"+
        "</foreach> \n"+
        "</script>")
    void addGroup(int id,RewardRule[] arr);
    @Select("select t.limitNum,t.reward from rewardRule as t where templateId = #{id} ORDER BY limitNum ")
    List<Map> listByTemplateId(int id);
    @Select("select t1.limitNum,t1.reward from rewardRule as t1 \n" +
        "inner join task as t2 on t1.templateId = t2.rewardRuleTemplateId and t2.id = #{taskId} " +
        "ORDER BY limitNum ")
    List<Map> listByTaskId(int taskId);
}
