package com.zh.project0512.mapper;

import com.zh.project0512.model.Brand;
import com.zh.project0512.model.TeachingRefe;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-06-14
 */
public interface TeachingRefeMapper extends BaseMapper<TeachingRefe> {
    @Update("update teachingRefe set sortWeight = sortWeight + 1 where sortWeight <> 0;\n" +
        "insert into teachingRefe ( fileUrl,type,title, creatAt,duration,sortWeight) VALUES ( #{fileUrl},#{type},#{title}, #{creatAt},#{duration},1 );")
    void addTeachingRefe(TeachingRefe teachingRefe);
    @Update("<script>" +
        "update teachingRefe set sortWeight = -1 where sortWeight = #{origin};\n" +
        "<if test='originHigherCurrent'> " +
        "update teachingRefe set sortWeight = sortWeight + 1 where sortWeight &lt;&gt; 0 and sortWeight &gt;= #{current} and sortWeight &lt; #{origin};"+
        "</if>" +
        "<if test='!originHigherCurrent'> " +
        "update teachingRefe set sortWeight = sortWeight - 1 where sortWeight &lt;&gt; 0 and sortWeight &gt; #{origin} and sortWeight &lt;= #{current};\n" +
        "</if>" +
        "update teachingRefe set sortWeight = #{current} where sortWeight = -1;" +
        "</script>")
    void updSort(int origin, int current, boolean originHigherCurrent);
}
