package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 用户菜单
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("adminMenus")
public class AdminMenus implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @TableField("id")
    private Integer id;
    /**
     * 菜单名称
     */
    @TableField("name")
    private String name;
    /**
     * 父类主键id
     */
    @TableField("parentId")
    private String parentId;
    /**
     * 父类id全路径
     */
    @TableField("parentIdPath")
    private String parentIdPath;
    /**
     * 权限编码
     */
    @TableField("code")
    private String code;
    /**
     * 路由
     */
    @TableField("routing")
    private String routing;
    /**
     * icon照片路径
     */
    @TableField("iconImgPath")
    private String iconImgPath;
    /**
     * 创建时间
     */
    @TableField("createAt")
    private String createAt;

}
