package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author zh
 * @since 2022-06-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("qywxDepartment")
public class QywxDepartment extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 部门id
     */
    @Schema(title = "部门id")
    @TableField("departmentId")
    private Integer departmentId;

    /**
     * 部门名称
     */
    @Schema(title = "部门名称")
    private String name;

    /**
     * 父部门id。根部门为1
     */
    @Schema(title = "父部门id")
    private Integer parentid;

    /**
     * 部门负责人的UserID；第三方仅通讯录应用可获取
     */
    @Schema(title = "部门负责人的UserID")
    private String departmentLeader;

    /**
     * 在父部门中的次序值。order值大的排序靠前。值范围是[0, 2^32)
     */
    @Schema(title = "在父部门中的次序值")
    private Integer order;


}
