package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author zh
 * @since 2022-06-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("teachingRefe")
public class TeachingRefe extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 文件地址
     */
    @TableField("fileUrl")
    private String fileUrl;

    /**
     * 时长(视频需要)
     */
    @Schema(title = "时长(视频需要)")
    @TableField("duration")
    private Integer duration;

    /**
     * 类型：1视频；2图片
     */
    @Schema(title = "类型",description = "1视频；2图片")
    private Integer type;

    /**
     * 标题
     */
    private String title;

    @TableField("creatAt")
    private LocalDateTime creatAt;

    @TableField("updateAt")
    private LocalDateTime updateAt;

    /**
     * 排序权重:数字越小排序靠前
     */
    @Schema(title = "排序权重:数字越小排序靠前")
    @TableField("sortWeight")
    private Integer sortWeight;

    /**
     * 是否删除:0否；1是
     */
    @Schema(title = "是否删除:0否；1是")
    @TableField("isDeleted")
    private Integer isDeleted;
}
