package com.zh.project0512.model.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 传播效果Vo
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CommunicationEffectVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 获得积分
     */
    @Schema(title = "获得积分")
    private Integer points;
    /**
     * 抖音播放量
     */
    @Schema(title = "抖音播放量")
    private Integer dyPlayNum;
    /**
     * 抖音点赞量
     */
    @Schema(title = "抖音点赞量")
    private Integer dyCommendNum;
    /**
     * 抖音收藏量
     */
    @Schema(title = "抖音收藏量")
    private Integer dyCollectionNum;
    /**
     * 抖音评论量
     */
    @Schema(title = "抖音评论量")
    private Integer dyCommentNum;
    /**
     * 快手播放量
     */
    @Schema(title = "快手播放量")
    private Integer ksPlayNum;
    /**
     * 快手点赞量
     */
    @Schema(title = "快手点赞量")
    private Integer ksCommendNum;
    /**
     * 快手收藏量
     */
    @Schema(title = "快手收藏量")
    private Integer ksCollectionNum;
    /**
     * 快手评论量
     */
    @Schema(title = "快手评论量")
    private Integer ksCommentNum;
    /**
     * 朋友圈点赞量
     */
    @Schema(title = "朋友圈点赞量")
    private Integer pyqCommendNum;
    /**
     * 朋友圈评论量
     */
    @Schema(title = "朋友圈评论量")
    private Integer pyqCommentNum;
    /**
     * 视频号点赞量
     */
    @Schema(title = "视频号点赞量")
    private Integer sphCommendNum;
    /**
     * 视频号转发次数
     */
    @Schema(title = "视频号转发次数")
    private Integer sphReSendNum;
    /**
     * 视频号推荐量
     */
    @Schema(title = "视频号推荐量")
    private Integer sphRecommendNum;
    /**
     * 视频号评论量
     */
    @Schema(title = "视频号评论量")
    private Integer sphCommentNum;

    public Integer getCommunicationNumDy(){
        return dyPlayNum + dyCollectionNum + dyCommendNum +dyCommentNum;
    }

    public Integer getCommunicationNumKs(){
        return ksPlayNum +ksCollectionNum + ksCommendNum + ksCommentNum;
    }

    public Integer getCommunicationNumPyq(){
        return pyqCommendNum + pyqCommentNum + sphCommendNum + sphReSendNum;
    }

    public Integer getCommunicationNumSph(){
        return sphRecommendNum + sphCommentNum;
    }

    public Integer getCommunicationNumAll(){
        return getCommunicationNumDy() + getCommunicationNumKs() + getCommunicationNumPyq() + getCommunicationNumSph();
    }
}
