package com.zh.project0512.service;

import com.zh.project0512.model.dto.AdminRoleInsertDTO;
import com.zh.project0512.model.dto.AdminRoleListDTO;
import com.zh.project0512.model.dto.AdminRoleUpdateDTO;
import com.zh.project0512.model.vo.AdminRoleListVo;
import com.zh.project0512.utils.page.PageInfo;

import java.util.List;

public interface IAdminRoleService {
    /**
     * 查询用户角色
     * @param adminRoleListDTO 用户角色 list DTO
     * @return 用户角色
     */
    PageInfo<AdminRoleListVo> list(AdminRoleListDTO adminRoleListDTO);

    /**
     * 添加用户角色
     * @param adminRoleInsertDTO 用户角色添加 DTO
     * @return 操作结果
     */
    boolean insert(AdminRoleInsertDTO adminRoleInsertDTO);

    /**
     * 修改用户角色
     * @param adminRoleUpdateDTO 用户角色 update DTO
     * @return 操作结果
     */
    boolean update(AdminRoleUpdateDTO adminRoleUpdateDTO);

    /**
     * 根据【角色】查询对应的权限
     * @param roleId 角色主键id
     * @return 对应的权限
     */
    List<Integer> findJurisdictionByRoleId(String roleId);
}
