package com.zh.project0512.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.Reference;
import com.zh.project0512.model.Task;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zh.project0512.model.vo.FileUploadParamVo;
import org.apache.ibatis.annotations.Param;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2022-05-21
 */
public interface ITaskService extends IService<Task> {
    public void add(Task task);
    IPage<Integer> idList(IPage iPage,String openid, List<Integer> tagIdList, List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper);
    List<Map> list(String openid,List<Integer> list, List<Integer> tagIdList, List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper);
    Task detailById(String openid,int id);
    Integer taskUserSum(Integer taskId);
    Integer taskUserNum(Integer taskId);
    JSONObject taskEffect(@Param("ew") Wrapper<Task> queryWrapper);
    List<Map> taskEffectData(@Param("ew") Wrapper<Task> queryWrapper);
    IPage<Map> taskEffectDataPage(IPage page,@Param("ew") Wrapper<Task> queryWrapper);
    List<Map> taskDepartment(int taskId);

    // 上传任务时同时上传素材
    Boolean upReferenceInTask(Task task,  List<Integer> referenceList, List<FileUploadParamVo> referenceUrlList,Boolean isUpd) ;
    // 上传任务的通用教程
    Boolean upTeachRefeInTask(Task task,List<Integer> teachRefeList, List<FileUploadParamVo> teachRefeUrlList,Boolean isUpd) ;
}
