package com.zh.project0512.utils;

import com.zh.project0512.mapper.AppMessageMapper;
import com.zh.project0512.model.AppMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import java.time.LocalDateTime;

/**
 * app消息工具类
 */
@Component
public class AppMessageUtil {
    @Resource
    AppMessageMapper appMessageMapper;
    //解决工具类无法调用Dao层数据，数据为null
    //静态初始化当前类
    private static AppMessageUtil appMessageUtil;
    //在方法上加上注解@PostConstruct,这样方法就会在bean初始化之后被spring容器执行
    @PostConstruct
    public void init(){
        //声明的静态类=this
        appMessageUtil=this;
    }

    public static Boolean sendMessage(Integer type,String title,String description,String url,Integer receiverId){
        AppMessage appMessage = new AppMessage();
        appMessage.setType(type);
        appMessage.setTitle(title);
        appMessage.setDescription(description);
        appMessage.setUrl(url);
        appMessage.setReceiverId(receiverId);
        return sendMessage(appMessage);
    }

    public static Boolean sendMessage(AppMessage appMessage){
        appMessage.setCreateDate(LocalDateTime.now());
        int insert = appMessageUtil.appMessageMapper.insert(appMessage);
        return insert > 0;
    }
}
